gromox-mkmidb(8gx)

Name
gromox-mkmidb — Tool for creating a blank message index database

Synopsis
gromox-mkmidb [-Uv] [-c config] [-fP] username

Options

-U  Rather than creating the SQLite file, upgrade it. (The -f option has no effect.) mkmidb does not coordinate with midb(8gx) and data corruption is possible if both try to edit the file at the same time. You should let midb(8gx) do upgrades instead, via the "midb_schema_upgrades" directive, or at the very least, stop midb when using mkmidb -U.

-c config
    Read configuration directives from the given file. If this option is not specified, /etc/gromox/mysql_adaptor.cfg will be read for MySQL connection parameters if that file exists.

-f  Force overwrite when an existing SQLite database is detected for the user. By default, mkmidb will not touch midb.sqlite3.

-v  Turn on verbose mode for -U.

--create-old
    Create blank initial database using version 0. (This can be used for testing the upgrade procedure.)

--integrity
    Perform SQLite integrity check.

-?  Display option summary.

Files

•   /var/lib/gromox/.../exmdb/midb.sqlite3: Message index database for IMAP.

See also
gromox(7), gromox-mkprivate(8), midb(8gx), mysql_adaptor(4gx)